Groovy 1.7.0

## org.codehaus.groovy.reflection.stdclasses
Class CachedClosureClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.CachedClosureClass

    class CachedClosureClass
    extends CachedClass

Constructor Summary
`CachedClosureClass(Class klazz, ClassInfo classInfo)`

Method Summary
`int` | `getMaximumNumberOfParameters()`
`Class[]` | `getParameterTypes()`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### CachedClosureClass

    public CachedClosureClass(Class klazz, ClassInfo classInfo)

Method Detail

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

### getParameterTypes

    public Class[] getParameterTypes()

Copyright © 2003-2009 The Codehaus. All rights reserved.